package cn.iocoder.yudao.module.member.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 代码生成的场景枚举
 *
 * @author 芋道源码
 */
@AllArgsConstructor
@Getter
public enum StoreOrderStatusEnum {
    TO_PAY(0,"待支付"),
    PAY(1, "已支付"),
    COMPLETE(2, "已完成"),
    CANCEL(3, "已取消"),
    REFUND(4, "已退款"),
    ;

    /**
     * 编码
     */
    private final Integer code;
    /**
     * 类型
     */
    private final String name;
}
